Subject: [netlmm] #92: No TTL decrement for inter-link tunneled SEND-protected NA

From: netlmm <[email-masked]>
Date: Mon, 03 Jul 2006 09:23:32 -0000

#92: No TTL decrement for inter-link tunneled SEND-protected NA
----------------------------------------+-----------------------------------
 Reporter:  [email-masked]     |       Owner:  [email-masked]
     Type:  task                        |      Status:  new                    
 Priority:  major                       |   Milestone:                         
Component:  draft-ietf-netlmm-mn-ar-if  |     Version:  1.0                    
 Keywords:                              |  
----------------------------------------+-----------------------------------
 {{{
 James Kempf wrote:
 >
 > 5) There is currently a disconnect between this draft and
 > draft-giaretta. This draft requires some way for an NA to get from
 > one link to another through the LMA without having the TTL
 > decremented so that a node on another link can report a DAD address
 > collision with a SEND protected NA, where draft-giaretta says that
 > the TTL will be decremented for all packets tunneled between links.
 > The reason the TTL must be preserved is because ND uses a TTL of
 > 255 to detect whether the packet was sent "on link" or not.
 }}}

-- 
Ticket URL: <http://www1.tools.ietf.org/wg/netlmm/trac/ticket/92>
netlmm <http://tools.ietf.org/wg/netlmm/>
_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: netlmm <[email-masked]>
Date: Mon, 03 Jul 2006 09:27:14 -0000

#92: No TTL decrement for inter-link tunneled SEND-protected NA
-----------------------------------------+----------------------------------
  Reporter:  [email-masked]     |       Owner:  [email-masked]
      Type:  task                        |      Status:  assigned               
  Priority:  major                       |   Milestone:                         
 Component:  draft-ietf-netlmm-mn-ar-if  |     Version:  1.0                    
Resolution:                              |    Keywords:                         
-----------------------------------------+----------------------------------
Changes (by [email-masked]):

  * status:  new => assigned

---

From: Julien Laganier <[email-masked]>
Date: Tue, 4 Jul 2006 13:33:35 +0200

James Kempf wrote:
 > draft-giaretta. This draft requires some way for an NA to get
 > from one link to another through the LMA without having the TTL
 > decremented so that a node on another link can report a DAD
 > address collision with a SEND protected NA, where draft-giaretta
 > says that the TTL will be decremented for all packets tunneled
 > between links. The reason the TTL must be preserved is because
 > ND uses a TTL of 255 to detect whether the packet was sent "on
 > link" or not.

I think this is an issue for the draft specifying the NetLMM protocol, 
not for the MN-AR interface. We could reassign it once the WG agrees 
to pick a NetLMM protocol draft as a working item.

--julien